В движке системы yahoo widgets найдена критическая брешь

В движке системы yahoo widgets найдена критическая брешь

В системе Yahoo Widgets выявлена опасная уязвимость, которая теоретически может эксплуатироваться злоумышленниками с целью получения несанкционированного доступа к удаленному компьютеру.

Yahoo Widget (ранее известна как Konfabulator) представляет собой средство запуска так называемых виджетов — специальных минипрограмм, которые размещаются на рабочем столе ПК и обеспечивают быстрый доступ к тем или иным функциям, а также отображают определенную информацию. В настоящее время коллекция Yahoo Widget насчитывает порядка 4000 минипрограмм, созданных многочисленными сторонними разработчиками.

Проблема в Yahoo Widget связана с ошибками, возникающими в библиотеке YDPCTL.dll при обработке определенных компонентов ActiveX. При помощи специально сформированной строки длиной больше 512 байт злоумышленник может спровоцировать ошибку переполнения стека на компьютере жертвы и затем выполнить произвольный вредоносный код.

Датская компания Secunia охарактеризовала брешь критически опасной. Дыра присутствует только в модификации Yahoo Widget для операционных систем Microsoft Windows.

Best Windows 7 Desktop Customization [Clock and Weather]


Версия движка для Apple Mac OS Х уязвимости не содержит.

Компания Yahoo уже выпустила обновленную версию Yahoo Widget с индексом 4.0.5, однако уведомления о ее доступности через систему автоматических обновлений получили не все пользователи. Поэтому специалисты по вопросам компьютерной безопасности рекомендуют посетить страницу загрузок Yahoo и скачать Yahoo Widget 4.0.5 вручную.

Похожие статьи:

Читайте также: